--
-- file prepared: 15 May 2024 23:18:53.034, using fd633c
--
self_ID = "g55"
declare_plugin(self_ID,
{
	displayName = _("g55"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("g55"),

	version = " ",
	state = "installed",
	info = _("The Fiat G.55 Centauro was a single-engine, single-seat fighter aircraft used by Italian forces during the World War II. Designed and built in Turin by Fiat, the G55 was a member of what became known as the 'Serie 5' Italian aircraft degins, along with the Macchi C.205 'Veltro' and the Reggiane Re.2005 'Sagittario'. Reportedly, after comparative tests against the Messerschmitt Bf 109G and the Focke-Wulf Fw 190, the Luftwaffe itself regarded the Fiat G.55 as 'the best Axis fighter'[reference 1]. This powerful, robust and fast aircraft proved itself to be an excellent interceptor at high altitude. In 1944, over Northern Italy, the Centauro clashed with British Supermarine Spitfire, P-51 Mustang, P-47 Thunderbolt and P-38 Lightning, proving to be no easy adversary. While Italian fighter pilots held high regard for their Centauro, by the time the war ended fewer than 300 had been built (by comparison, the Germans produced 35,000 Bf 109s). Of the Serie 5 fighters, the Centauro showed the best high-altitude performance, due to its large wing surface area, and along with its powerful armament, the G55 was sufficient to bring down US heavy bombers.  [reference 1: Arena, Nino. I Caccia Della Serie 5, Re2005, Mc205, Fiat G.G5 (in Italian). Modena, Italy: STEM-Mucchi, 1976. ISBN 90-70310-11-2.] (source: https://en.wikipedia.org/wiki/Fiat_G.55_Centauro#Specifications_(G.55/I))  "),

	update_id = "g55",

	Skins =
	{
		{
			name = _("g55"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("g55"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("g55"),
			type = "g55",
		},
	},
	InputProfiles =
	{
		["g55"] = current_mod_path .. '/Input/g55',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('g55', ViewSettings, SnapViews)
make_flyable('g55', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/g55.lua')
------------------------------------------------------------------------------------ -
plugin_done()

